For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment records
      • POSTCreate a payment record
      • GETGet a payment record
      • PATCHUpdate a payment record
      • POSTCancel a payment record
      • POSTMark a payment record as succeeded
      • POSTStart processing a payment record
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment records

Get payment records

GET
/payment_records
GET
/v1/payment_records
$curl https://api.sandbox.monite.com/v1/payment_records \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "amount": 1,
6 "currency": "AED",
7 "history": [
8 {
9 "status": "created",
10 "timestamp": "2024-01-15T09:30:00Z",
11 "entity_user_id": "entity_user_id"
12 }
13 ],
14 "is_external": true,
15 "object": {
16 "id": "id",
17 "new_status": "new_status",
18 "old_status": "old_status",
19 "type": "receivable"
20 },
21 "entity_user_id": "entity_user_id",
22 "overpaid_amount": 1,
23 "paid_at": "2024-01-15T09:30:00Z",
24 "payment_intent_id": "payment_intent_id",
25 "payment_intent_status": "payment_intent_status",
26 "payment_method": "payment_method",
27 "planned_payment_date": "planned_payment_date",
28 "status": "status"
29 }
30 ],
31 "next_pagination_token": "next_pagination_token",
32 "prev_pagination_token": "prev_pagination_token"
33}
Was this page helpful?
Previous

Create a payment record

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100
Max is 100
pagination_tokenstringOptional
A token, obtained from previous page. Prior over other filters
sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
is_externalbooleanOptional
Identifies whether payment is from our rails or external system
object_idstringOptionalformat: "uuid"
ID of the object, that is connected to payment
object_id__instringOptionalformat: "uuid"
List of IDs of the objects, that are connected to payments
object_typeenumOptional
Type of an object, which is connected with payment
Allowed values:
created_at__gtdatetimeOptional

Created after this datetime (exclusive)

created_at__ltdatetimeOptional

Created before this datetime (exclusive)

updated_at__gtdatetimeOptional

Updated after this datetime (exclusive)

updated_at__ltdatetimeOptional

Updated before this datetime (exclusive)

paid_at__gtdatetimeOptional

Paid after this datetime (exclusive)

paid_at__ltdatetimeOptional

Paid before this datetime (exclusive)

planned_payment_datestringOptionalformat: "date"

Optional date of the upcoming payment (equality)

planned_payment_date__gtstringOptionalformat: "date"

Planned after this date (exclusive)

planned_payment_date__ltstringOptionalformat: "date"

Planned before this date (exclusive)

planned_payment_date__gtestringOptionalformat: "date"

Planned at or after this date (inclusive)

planned_payment_date__ltestringOptionalformat: "date"

Planned at or before this date (inclusive)

statusenumOptional
One of the payment record statuses
Allowed values:
payment_intent_statusstringOptional
Payment intent status as a raw string
payment_methodstringOptional
Payment method used for the transaction

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

401
Get Payment Records Request Unauthorized Error
422
Get Payment Records Request Unprocessable Entity Error
429
Get Payment Records Request Too Many Requests Error